package com.qmth.sop.business.templete.service;

import java.util.Map;

/**
 * @Description: 任务处理逻辑
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/29
 */
public interface TaskLogicService {

    /**
     * 处理导入人员档案数据
     *
     * @param map 数据源
     * @return 结果
     * @throws Exception 异常
     */
    Map<String, Object> executeImportUserArchivesLogic(Map<String, Object> map) throws Exception;

    /**
     * 处理导出人员档案数据
     *
     * @param map 数据源
     * @return 结果
     * @throws Exception 异常
     */
    Map<String, Object> executeExportUserArchivesLogic(Map<String, Object> map) throws Exception;
}
